package cn.iocoder.yudao.module.bpm.controller.admin.oa.renew.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskRespVO;
import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import cn.iocoder.yudao.module.system.api.user.dto.AdminUserRespDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 合同续签流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaRenewRespVO {

    @Schema(description = "续签表单主键", example = "1")
    @ExcelProperty("续签表单主键")
    private Long id;

    @Schema(description = "uuid", example = "14308")
    @ExcelProperty("uuid")
    private String renewId;

    @Schema(description = "续签人id", example = "4530")
    @ExcelProperty("续签人id")
    private Long employeeId;

    @Schema(description = "续签人uuid", example = "24001")
    @ExcelProperty("续签人uuid")
    private String employeeUuid;

    @Schema(description = "续签员工姓名", example = "赵六")
    @ExcelProperty("续签员工姓名")
    private String employeeName;

    @Schema(description = "续签员工手机号", example = "1394920000")
    @ExcelProperty("续签员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "16762")
    @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "12052")
    @ExcelProperty("用户账号uuid")
    private String userUuid;

    @Schema(description = "部门id", example = "28162")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门uuid", example = "17499")
    @ExcelProperty("部门uuid")
    private String deptUuid;

    @Schema(description = "部门名称")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "原合同开始日期")
    @ExcelProperty("原合同开始日期")
    private String oldContractStartDate;

    @Schema(description = "原合同结束日期")
    @ExcelProperty("原合同结束日期")
    private String oldContractEndDate;

    @Schema(description = "续签合同期限")
    @ExcelProperty("续签合同期限")
    private String renewPeriod;

    @Schema(description = "续签开始日期")
    @ExcelProperty("续签开始日期")
    private String renewContractStartDate;

    @Schema(description = "续签结束日期")
    @ExcelProperty("续签结束日期")
    private String renewContractEndDate;

    @Schema(description = "续签理由", example = "不喜欢")
    @ExcelProperty("续签理由")
    private String renewReason;

    @Schema(description = "工作表现")
    @ExcelProperty("工作表现")
    private String workPerformance;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "流程实例id", example = "25043")
    @ExcelProperty("流程实例id")
    private String procInstId;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "1")
    @ExcelProperty("审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    private String auditStatus;

    @Schema(description = "当前审核人用户id", example = "19532")
    @ExcelProperty("当前审核人用户id")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人用户uuid", example = "31429")
    @ExcelProperty("当前审核人用户uuid")
    private String currentAuditUserUuid;

    @Schema(description = "当前审核人员工id", example = "22621")
    @ExcelProperty("当前审核人员工id")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工uuid", example = "12859")
    @ExcelProperty("当前审核人员工uuid")
    private String currentAuditEmployeeUuid;

    @Schema(description = "当前审核人员工姓名")
    @ExcelProperty("当前审核人员工姓名")
    private String currentAuditEmployeeName;

    @Schema(description = "最后审核时间")
    @ExcelProperty("最后审核时间")
    private LocalDateTime finalAuditDate;

    @Schema(description = "申请时间")
    @ExcelProperty("申请时间")
    private LocalDateTime createTime;

    @Schema(description = "申请人id")
    @ExcelProperty("申请人id")
    private Long applyEmployeeId;

    @Schema(description = "申请人姓名")
    @ExcelProperty("申请人姓名")
    private String applyEmployeeName;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "审批记录列表")
    private List<BpmTaskRespVO> auditRecordList;

    @Schema(description = "审批人员列表")
    private List<AdminUserRespDTO> auditUserList;

    @Schema(description = "当前用户待处理的任务id")
    private String taskId;

}