package cn.iocoder.yudao.module.bpm.dal.mysql.oa.turnover;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.turnover.vo.OaTurnoverPageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.turnover.OaTurnoverDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 离职流程信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface OaTurnOverMapper extends BaseMapperX<OaTurnoverDO> {

    default PageResult<OaTurnoverDO> selectPage(OaTurnoverPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OaTurnoverDO>()
                .eqIfPresent(OaTurnoverDO::getTurnoverId, reqVO.getTurnoverId())
                .eqIfPresent(OaTurnoverDO::getEmployeeId, reqVO.getEmployeeId())
                .eqIfPresent(OaTurnoverDO::getEmployeeUuid, reqVO.getEmployeeUuid())
                .likeIfPresent(OaTurnoverDO::getEmployeeName, reqVO.getEmployeeName())
                .eqIfPresent(OaTurnoverDO::getUserId, reqVO.getUserId())
                .eqIfPresent(OaTurnoverDO::getUserUuid, reqVO.getUserUuid())
                .eqIfPresent(OaTurnoverDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(OaTurnoverDO::getDeptUuid, reqVO.getDeptUuid())
                .eqIfPresent(OaTurnoverDO::getPosition, reqVO.getPosition())
                .betweenIfPresent(OaTurnoverDO::getStartDate, reqVO.getStartDate())
                .betweenIfPresent(OaTurnoverDO::getTurnoverDate, reqVO.getTurnoverDate())
                .eqIfPresent(OaTurnoverDO::getTurnoverReason, reqVO.getTurnoverReason())
                .eqIfPresent(OaTurnoverDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(OaTurnoverDO::getProcInstId, reqVO.getProcInstId())
                .eqIfPresent(OaTurnoverDO::getAuditStatus, reqVO.getAuditStatus())
                .eqIfPresent(OaTurnoverDO::getCurrentAuditUserId, reqVO.getCurrentAuditUserId())
                .eqIfPresent(OaTurnoverDO::getCurrentAuditUserUuid, reqVO.getCurrentAuditUserUuid())
                .eqIfPresent(OaTurnoverDO::getCurrentAuditEmployeeId, reqVO.getCurrentAuditEmployeeId())
                .eqIfPresent(OaTurnoverDO::getCurrentAuditEmployeeUuid, reqVO.getCurrentAuditEmployeeUuid())
                .betweenIfPresent(OaTurnoverDO::getFinalAuditDate, reqVO.getFinalAuditDate())
                .eqIfPresent(OaTurnoverDO::getInfoSource, reqVO.getInfoSource())
                .betweenIfPresent(OaTurnoverDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(OaTurnoverDO::getId));
    }

}