package cn.iocoder.yudao.module.bpm.service.oa.turnover;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.turnover.vo.OaTurnoverPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.turnover.vo.OaTurnoverSaveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.turnover.OaTurnoverDO;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.validation.Valid;

/**
 * 离职流程信息 Service 接口
 *
 * @author dp
 */
public interface OaTurnoverService extends IService<OaTurnoverDO> {

    Long startOaTurnover(Long userId, @Valid OaTurnoverSaveReqVO createReqVO);

    Long completeTrueOaTurnover(Long userId, BpmTaskApproveReqVO reqVO);

    Long completeFalseOaTurnover(Long userId, BpmTaskApproveReqVO reqVO);

    Long updateCompleteOaTurnover(Long userId, @Valid OaTurnoverSaveReqVO createReqVO, @Valid BpmTaskApproveReqVO reqVO);
    

    /**
     * 创建离职流程信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOaTurnover(@Valid OaTurnoverSaveReqVO createReqVO);

    /**
     * 更新离职流程信息
     *
     * @param updateReqVO 更新信息
     */
    void updateOaTurnover(@Valid OaTurnoverSaveReqVO updateReqVO);

    /**
     * 删除离职流程信息
     *
     * @param id 编号
     */
    void deleteOaTurnover(Long id);

    /**
     * 获得离职流程信息
     *
     * @param id 编号
     * @return 离职流程信息
     */
    OaTurnoverDO getOaTurnover(Long id);

    /**
     * 获得离职流程信息分页
     *
     * @param pageReqVO 分页查询
     * @return 离职流程信息分页
     */
    PageResult<OaTurnoverDO> getOaTurnoverPage(OaTurnoverPageReqVO pageReqVO);

}