package cn.iocoder.yudao.module.relations.controller.admin.turnover.vo;

import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 离职信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RelationsTurnoverRespVO {

    @Schema(description = "离职表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "5207")
    @ExcelProperty("离职表单主键")
    private Long id;

    @Schema(description = "uuid", example = "25144")
    @ExcelProperty("uuid")
    private String turnoverId;

    @Schema(description = "离职人id", example = "28288")
    @ExcelProperty("离职人id")
    private Long employeeId;

    @Schema(description = "离职人uuid", example = "32274")
    @ExcelProperty("离职人uuid")
    private String employeeUuid;

    @Schema(description = "离职员工姓名", example = "张三")
    @ExcelProperty("离职员工姓名")
    private String employeeName;

    @Schema(description = "续签员工手机号")
    @ExcelProperty("续签员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "31092")
    @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "17689")
    @ExcelProperty("用户账号uuid")
    private String userUuid;

    @Schema(description = "部门id", example = "19364")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门uuid", example = "6524")
    @ExcelProperty("部门uuid")
    private String deptUuid;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "入职日期")
    @ExcelProperty("入职日期")
    private String entryDate;

    @Schema(description = "离职日期")
    @ExcelProperty("离职日期")
    private String turnoverDate;

    @Schema(description = "离职原因", example = "不对")
    @ExcelProperty("离职原因")
    private String turnoverReason;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("状态")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    @ExcelProperty("数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "29636")
    @ExcelProperty("创建人员工id")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "王五")
    @ExcelProperty("创建人员工姓名")
    private String creatorEmployeeName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "租户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "23947")
    @ExcelProperty("租户编号")
    private Long tenantId;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

}